topology:
    nodes:
        n1:
            num_cores: 4
        n2:
            num_cores: 4
        n3:
            num_cores: 4
        n4:
            num_cores: 4
        n5:
            num_cores: 4
        n6:
            num_cores: 4
        n7:
            num_cores: 4
        n8:
            num_cores: 4

